def get_scene_config(map_num, config):
    # position reset_data
    reset_data = [[-1,-1,-1], [-1,-1], []]

    ##############################################################################
    #                               Static maps
    ##############################################################################
    if map_num == 11:
        reset_data[0] = [250,250,180]
        reset_data[1] = [550,340]

    elif map_num == 12:
        reset_data[0] = [80,220,250]
        reset_data[1] = [550,250]

    elif map_num == 13:
        reset_data[0] = [80,70,150]
        reset_data[1] = [500,350]

    elif map_num == 14:
        reset_data[0] = [550,300,330]
        reset_data[1] = [50,50]

    elif map_num == 15:
        reset_data[0] = [400,50,90]
        reset_data[1] = [370,420]

    ##############################################################################
    #                               Dynamnic maps
    ##############################################################################
    elif map_num == 16:
        reset_data[0] = [240,50,90]
        reset_data[1] = [240,550]
        reset_data[2] = [
            [ [240,450], [240,50] ]
        ]

    elif map_num == 17:
        reset_data[0] = [315,90,90]
        reset_data[1] = [315,530]
        reset_data[2] = [
            [ [175,330], [505,330] ],
            [ [455,290], [125,290] ]
        ]

    elif map_num == 18:
        reset_data[0] = [315,90,90]
        reset_data[1] = [325,430]
        reset_data[2] = [
            [ [200,380], [400,360] ],
            [ [150,310], [450,310] ],
            [ [250,260], [350,260] ],
            [ [450,210], [125,210] ],
            [ [390,250], [220,250] ],
            [ [320,220], [100,290] ],
            [ [110,190], [520,300] ],
        ]

    elif map_num == 19:
        reset_data[0] = [500,50,90]
        reset_data[1] = [100,430]
        reset_data[2] = [
            [ [100,50], [500,550] ],
            [ [100,250], [500,50] ],
            [ [100,350], [350,260] ],
        ]

    elif map_num == 20:
        reset_data[0] = [100,100,90]
        reset_data[1] = [550,400]
        reset_data[2] = [
            [ [230,350], [250,50] ],
            [ [400,250], [420,50] ],
        ]


    if 11 <= map_num <= 15:
        config['num_humans'] = 0
    else:
        config['num_humans'] = len(reset_data[2])


    return reset_data, config